Jump to content

[DO NOT TRANSFER MODULES] Is there a way to transfer modules


98abaile
 Share

Recommended Posts

Yes, open up your open beta, go to module manager and let it install all available modules. It will just copy them from your main installation folder.

 

Actually, that is the ONLY way to install modules in the Open Beta since there is no other download source for them.

ASUS ROG Maximus VIII Hero, i7-6700K, Noctua NH-D14 Cooler, Crucial 32GB DDR4 2133, Samsung 950 Pro NVMe 256GB, Samsung EVO 250GB & 500GB SSD, 2TB Caviar Black, Zotac GTX 1080 AMP! Extreme 8GB, Corsair HX1000i, Phillips BDM4065UC 40" 4k monitor, VX2258 TouchScreen, TIR 5 w/ProClip, TM Warthog, VKB Gladiator Pro, Saitek X56, et. al., MFG Crosswind Pedals #1199, VolairSim Pit, Rift CV1 :thumbup:

Link to comment
Share on other sites

You can go into your DCSWorld\mods\aircraft folder and copy all the aircraft folders to the same directory in your DCSWorld Open Beta folder. Worked for me.

 

I had to do this as I have reinstalled windows and used a backup copy of DCSWorld, so I didn't have any DCS stuff in the registry for the game to look for previous versions to copy.


Edited by Odeskypher
Link to comment
Share on other sites

1.5 Modules will be updated significantly, might as well re download to avoid version conflicts.

 

I wouldnt recommend copy/pasting, as the updater will only update what its told to, copy pasting modules doesnt tell the updater to update it.

Windows 10 Pro, Ryzen 2700X @ 4.6Ghz, 32GB DDR4-3200 GSkill,

X470 Taichi Ultimate, 2x R7970 Lightnings Crossfired @ 1.1/6.0GHz,

3x ASUS VS248HP + Hanns·G HZ201HPB + Oculus HMD,

Thrustmaster Warthog HOTAS + MFDs, CH Fighterstick+Pro Throttle+Pro Pedals

Link to comment
Share on other sites

I have limited internet at home, so the reason I asked is so that I can get all the modules transferred to open beta, then copy the entire installation to my laptop and have it update to 1.5 at work without having to waste time downloading both the update and then the modules.

Link to comment
Share on other sites

I have limited internet at home, so the reason I asked is so that I can get all the modules transferred to open beta, then copy the entire installation to my laptop and have it update to 1.5 at work without having to waste time downloading both the update and then the modules.

 

Unfortunately I think you are going to have to use the work option in your case as you'll want to use the new updated modules and the copy and paste approach doesn't appear to be the best way forward.

 

I'm going to take a wild guess in saying this (as I don't know yet) but the modules are going to be a small update in comparison to the v1.5 update so if you are doing the 1.5 update at work, you might as well use the time for the modules!

Link to comment
Share on other sites

ok so i dl'd and installed the open beta just now in anticipation of 1.5. opened module manager and installed them, my problem is that it did not load my a10c. any ideas out there

thx

i7 4770k @ 4.5, asus z-87 pro, strix GTX 980ti directcu3oc, 32gb Kingston hyperX 2133, philips 40" 4k monitor, hotas cougar\warthog, track ir 5, Oculus Rift

Link to comment
Share on other sites

OK that method works fine for everything barring the Mig21 for me. Module manager lists mine as no key presumably because I was part of the original kickstarter and didn't purchase through ED. Is there a solution to allow you to test the Mig21 under the beta?

I did redownload the module but when you point it at the beta install it complains of a version mismatch.

 

Thanks,

Stonehouse

 

<edit> problem solved thanks to Skatezilla http://forums.eagle.ru/showthread.php?t=114030


Edited by Stonehouse
Link to comment
Share on other sites

I tried copying all my modules under aircraft/ from the stable to open beta but whilst it showed them as installed in Module Manager, I was unable to use them. Starting a mission would just put me in an external spectator view and I noticed the training missions weren't showing up either.

 

I tried Repair but that didn't help and in the end I had to Install each module again under Module Manager. After I installed each module, the option to Install that module, so clearly they weren't properly registered as installed even though the Installed tab listed them.

Main rig: i5-4670k @4.4Ghz, Asus Z97-A, Scythe Kotetsu HSF, 32GB Kingston Savage 2400Mhz DDR3, 1070ti, Win 10 x64, Samsung Evo 256GB SSD (OS & Data), OCZ 480GB SSD (Games), WD 2TB and WD 3TB HDDs, 1920x1200 Dell U2412M, 1920x1080 Dell P2314T touchscreen

Link to comment
Share on other sites

OK that method works fine for everything barring the Mig21 for me. Module manager lists mine as no key presumably because I was part of the original kickstarter and didn't purchase through ED. Is there a solution to allow you to test the Mig21 under the beta?

I did redownload the module but when you point it at the beta install it complains of a version mismatch.

 

Thanks,

Stonehouse

 

<edit> problem solved thanks to Skatezilla http://forums.eagle.ru/showthread.php?t=114030

 

Yeah, i had the same issue except i have a MiG-21 key. I had to use up another activation on it to get it to work :( down to 1 left now.

System :-

i7-7820X, ASUS ROG Strix X229, 32GB Corsair Vengeance DDR4 3600MHz, 11GB Nvidia Geforce 1080Ti, 1x 500GB Samsung 850 EVO, 1x 1TB Samsung 850 EVO, 1x 500GB Samsung 960 EVO M.2, Windows 10. VPC WarBRD Base with HOTAS Warthog Stick and Throttle, Saitek combat rudder pedals, Oculus Rift S.

 

 

Link to comment
Share on other sites

yea i used to have dcs on steam including 3rd party mods. i downloaded standalone, and open beta so i could play 1.5 early and take advantage of the preorders.

 

ED modules were detected and autp installed/ verified. but My 3rd party modules like the mig1/f86f dont show up.

 

for regular standalone i got around this by downloading from ed site, but the installer doesnt work for open beta. since its meant for the 1.2 version.

 

an ideas how to download them for 1.5 open beta how to get around this?

 

 

 

Build:

 

 

 

 

 

Windows 10 64 bit,

 

Case/Tower: Corsair Graphite 760tm ,Asus Strix Z370- E Motherboard, Intel Core i7 8700k ( Noctua NH14S cooler),Corsair Vengeance LPX DDR4 32gb ram (2666 mhz) , (Asus strix oc edition) Nvidia Gtx 1080 8gb , Evga g2 850 watt psu, Hardrives ; WD 1TB HDD, Samsung evo 860 pro 1 TB SSD, Samsung evo 850 pro 1TB SSD.

 

 

 

Link to comment
Share on other sites

now that I have 1.5 I have a question

 

First, 1.5 is in my c:\Programs folder with it's own launcher. I'll call it launcher-A My standard version 1.2.??/ is in my E:\ drive. Let's call it launcher-B

Launcher-A fires up and I see only two planes in my modules section, the TF51 Mustang and the SU25. Fire up Launcher-B and I see all the modules I bought.

 

My question is this. How can I fly the Sabrejet, for example in 1.5? Can I copy my modules to the c:\ location? Thank you for any revelation on this subject.

Flyby out

The U.S. Congress is the best governing body that BIG money can buy. :cry:

Link to comment
Share on other sites

There is also this thread...

 

http://forums.eagle.ru/showthread.php?t=147685

 

About 8 posts under yours. I don't recommend following any "Copy/Paste" ideas though as the beta DOES THAT FOR YOU and then will update the things needing updating. so far EVERY aircraft I've installed has required updates so just copying and pasting is likely to cause trouble.

Win-10 x64

 

Nvidia RTX2080 (HP Reverb)

Asus Prime X570P

AMD 3800x

32GB G-Skill RipJaw 3600

 

Saitek X-65F and Fanatec Club-Sport Pedals

Using VJoy and UCR to remap Throttle and Clutch into Rudder axis

Link to comment
Share on other sites

DCS World OpenBeta update?

 

To install module in 1.5

In the DCS World OpenBeta file, shift + right click (mouse) over the bin file, click on open command window here, type dcs_updater.exe install VEAO_HAWK enter. The updater start and download the Hawk module.

 

>> Module name


Edited by Demon_

Attache ta tuque avec d'la broche.

Link to comment
Share on other sites

my work-around

 

I tried to copy my MiG15 file over to the 1.5 beta, and had a bit of success. I copied it from the DCS world\coremods\aircraft of my main game folder and pasted it to the DCS World coremods\aircraft in the 1.5 folder. It then downloaded the file (1.? gb). When I opened the module manager in 1.5 I saw the MiG there, but the serial number box was blank. When I began to type in the serial number, the whole number appeared. So I tried to take the MiG for a test spin (no pun intended), and it flew just fine. I won't be doing this for every plane in my hangar, but at least I sorted it out, and I may chose another plane to try.

Flyby out.

The U.S. Congress is the best governing body that BIG money can buy. :cry:

Link to comment
Share on other sites

DCS World OpenBeta update?

 

To install module in 1.5

In the DCS World OpenBeta file, shift + right click (mouse) over the bin file, click on open command window here, type dcs_updater.exe install VEAO_HAWK enter. The updater start and download the Hawk module.

 

>> Module name

 

How do you figure out what the module name should be? I've tried all sorts of combinations in order to manually install the Ka-50 but none of them work.

Link to comment
Share on other sites

I wouldnt recommend copy/pasting, as the updater will only update what its told to, copy pasting modules doesnt tell the updater to update it.

 

The updater updates what doesn't match. Match usually implies that running a hash algorithm over both files generates an identical hash. If a file generates a mismatch versus the file on the server, it will get updated.

Good, fast, cheap. Choose any two.

Come let's eat grandpa!

Use punctuation, save lives!

Link to comment
Share on other sites

First, 1.5 is in my c:\Programs folder with it's own launcher. I'll call it launcher-A My standard version 1.2.??/ is in my E:\ drive. Let's call it launcher-B

Launcher-A fires up and I see only two planes in my modules section, the TF51 Mustang and the SU25. Fire up Launcher-B and I see all the modules I bought.

 

My question is this. How can I fly the Sabrejet, for example in 1.5? Can I copy my modules to the c:\ location? Thank you for any revelation on this subject.

Flyby out

I had this problem with a few of my modules. Go to your store account and check that the modules are actually assigned to your username (do a license key check). Then log in to the beta client and go to the module manager. You should get a pop up that asks if you want to install the new modules, click yes and it will check your beta installation for any downloaded files, then it will check your release installation for any files it can copy across, finally it will download anything it is missing.

Link to comment
Share on other sites

How do you figure out what the module name should be? I've tried all sorts of combinations in order to manually install the Ka-50 but none of them work.

 

 

They are in Program Files/Eagle Dynamics/DCS World OpenBeta/autoupdate.cfg

Or Program Files/Eagle Dynamics/DCS World/autoupdate.cfg

 

dcs_updater.exe install KA-50

 

FC3

MIG-15BIS

A-10C

UH-1H

MI-8MTV2

P-51D

FW-190D9

VEAO_HAWK

F-86F

MIG-21BIS

BF-109K4


Edited by Demon_

Attache ta tuque avec d'la broche.

Link to comment
Share on other sites

nevermind, boys I screwed up and...

 

only updated DCS World in my copy. I just repaired the Updated in my main game folder on E:\

I'm wanting to try the beta in my copy on c:\. apparently I did not d\l the beta, but I did transfer the MiG to that copy.

sorry for the confusion

Flyby out

PS where is that freakin download?

The U.S. Congress is the best governing body that BIG money can buy. :cry:

Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...